<ion-header>
  <ion-toolbar color="dark">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>
      eShop
    </ion-title>
    <ion-buttons slot="end">
      <ion-buttons>
        <ion-icon slot="start" name="cart"></ion-icon>
        <ion-badge color="danger" mode="ios">
          {{ (cart$ | async).products.length }}
        </ion-badge>
      </ion-buttons>
    </ion-buttons>
  </ion-toolbar>
</ion-header>